### Function

# GLib HookFunc

since: 2.0

#### Declaration

    void
    (* GHookFunc) (
      gpointer data
    )

#### Description

Defines the type of a hook function that can be invoked by g_hook_list_invoke().

Available since: 2.0

#### Parameters

`data`

  Type: `gpointer`

  The data field of the `GHook` is passed to the hook function here.

  The argument can be `NULL`.
  The data is owned by the caller of the function.